package simulation;

import java.io.*;

public class MainSimulation extends GlobalSimulation {

	public static void main(String[] args) throws IOException {
		EventList myEventList = new EventList();
		Event actEvent;
		State actState = new State(myEventList);

		myEventList.insertEvent(new Event(ARRIVAL, 0));
		myEventList.insertEvent(new Event(MEASURE, 5));

		while (MainSimulation.time < 200000) {
			actEvent = myEventList.popEvent();
			MainSimulation.time = actEvent.getEventTime();
			actState.TreatEvent(actEvent);
		}

		System.out.println("Mean number of customers: " + (double) actState.accumulated / actState.noMeasurements);
		System.out.println("Number of measurements done: " + actState.noMeasurements);
	}
}